VARKON Version 1.15 1997-12-29

> ## cur_conarr - Geometric procedure

> Creates a curve
> Description
> Creates a rational cubic parametric segmented curve that interpolates two or more defining positions and tangent positions. This routine does the same job as cur_conic but takes its input in a format more sutiable for applications with large or varying number of defining positions. See cur_conic for more information.
> Syntax
> cur_conarr(id, type, npos, p, tp, mpflag, pval, midp:attributes);

> REF | id;
> STRING | type*4;
> INT | npos;
> VECTOR | p(npos);
> VECTOR | tp(npos);
> STRING | mpflag(npos-1)*1;
> FLOAT | pval(npos-1);
> VECTOR | midp(npos-1);

> Principal parameters

> id | - Local identity
> type | - The string "FREE" or "PROJ"
> npos | - Number of defining positions
> p | - Array with npos positions
> tp | - Array with npos tangent positions
> mpflag | - Array with "P":s or "M":s indicating P-value or Midpoint method
> pval | - Array with P-values
> midp | - Array with Midpoints

> Optional parameters

> None. |

> Attributes

> PEN | - Pen or colour number
> LEVEL | - Level number
> BLANK | - Visible(0) or invisible(1)
> CFONT | - Solid(0), dashed(1) or centerline(2)
> CDASHL | - Dashlength
> WIDTH | - Linewidth

> Comments
> If an element of mpflag is "P" the the corresponding element of pval must be a valid P-value. For elements in mpflag that are "M" the corresponding element of midp must also be valid.

VARKON Homepage | Index